com.ihr.xbrl.om.table.definition

## Class DimensionRuleSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<DimensionAspectInterface<?>>
      - - com.ihr.xbrl.om.table.definition.DimensionRuleSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<DimensionAspectInterface<?>>, java.util.Collection<DimensionAspectInterface<?>>, java.util.List<DimensionAspectInterface<?>>, java.util.RandomAccess

      public class DimensionRuleSet
      extends java.util.Vector<DimensionAspectInterface<?>>

  The Class DimensionRuleSet.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionRuleSet()` Instantiates a new dimension rule set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<? extends javax.xml.namespace.QName>` | `getDimensions()` Gets the dimensions.
    `void` | `resetNode()` Reset node.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DimensionRuleSet

          public DimensionRuleSet()
                           throws XFValidationException

      Instantiates a new dimension rule set.
      Throws:
        `XFValidationException` - the XF validation exception

  - ### Method Detail

    - #### getDimensions

          public java.util.Collection<? extends javax.xml.namespace.QName> getDimensions()

      Gets the dimensions.
      Returns:
        the dimensions

    - #### resetNode

          public void resetNode()

      Reset node.